Subject: Re: bug#5191: 23.1.90; Make target compile-main fails under GNU/Linux Kernel 2.6.16

From: Chong Yidong <[email-masked]>
Date: Sat, 12 Dec 2009 16:00:45 -0500

> Does this patch fix it?  Instead of passing ELCFILES on the command
> line, it saves it to a .elcfiles file, and the recursive Make includes
> that.  (I am assuming the "-include" directive is supported, but we seem
> to use it in src/Makefile already anyhow.)

On second thought, I don't think this is a good idea.  Looks like the
BSDs use ".sinclude" for silent inclusion, and older systems don't even
support that.

If no better plan is forthcoming that can simultaneously cope with
ARG_MAX limitations and cross-Unix incompatibilities, I think it's
better to revert Makefile.in to the "ELCFILES abomination".  We can live
with it for a while longer.